> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Split Order Into Shipment

> Split Order Into Shipment



## OpenAPI

````yaml /openapi/openapi_commerce.json get /commerce/orders/{orderId}/converttoship
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/orders/{orderId}/converttoship:
    get:
      tags:
        - Order
      summary: Split Order Into Shipment
      description: Split Order Into Shipment
      parameters:
        - description: ''
          in: path
          name: orderId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CommerceRuntimeShipment'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/CommerceRuntimeShipment'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/CommerceRuntimeShipment'
                type: array
          description: OK
components:
  schemas:
    CommerceRuntimeShipment:
      properties:
        alternateContact:
          $ref: '#/components/schemas/FulfillmentAlternateContact'
        attributes:
          items:
            $ref: '#/components/schemas/CommerceRuntimeShipmentAttribute'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        backorderCreatedDate:
          format: int32
          nullable: true
          type: integer
        canceledItems:
          items:
            $ref: '#/components/schemas/FulfillmentCanceledItem'
          nullable: true
          type: array
        changeMessages:
          items:
            $ref: '#/components/schemas/CommerceRuntimeChangeMessage'
          nullable: true
          type: array
        cost:
          format: double
          nullable: true
          type: number
        currencyCode:
          nullable: true
          type: string
        customer:
          $ref: '#/components/schemas/CommerceRuntimeCustomer'
        customerAccountId:
          format: int32
          nullable: true
          type: integer
        customerTaxId:
          nullable: true
          readOnly: true
          type: string
        data:
          nullable: true
          type: object
        destination:
          $ref: '#/components/schemas/CommerceRuntimeDestination'
        dutyAdjustment:
          format: double
          nullable: false
          type: number
        dutyTotal:
          format: double
          nullable: false
          type: number
        email:
          nullable: true
          type: string
        expectedDeliveryDate:
          format: date-time
          nullable: true
          type: string
        externalOrderId:
          nullable: true
          type: string
        externalShipmentId:
          nullable: true
          type: string
        fulfillmentDate:
          format: date-time
          nullable: true
          type: string
        fulfillmentLocationCode:
          nullable: true
          type: string
        fulfillmentStatus:
          nullable: true
          type: string
        futureDate:
          format: date-time
          nullable: true
          type: string
        groupId:
          description: "Identifier of the order-level shipping group (`ShippingGrouping.Id`) whose items are fulfilled\r\nby this shipment.  Distinct from the internal routing group key stored on the domain entity."
          nullable: true
          type: string
        handlingAdjustment:
          format: double
          nullable: false
          type: number
        handlingSubtotal:
          format: double
          nullable: false
          type: number
        handlingTaxAdjustment:
          format: double
          nullable: false
          type: number
        handlingTaxTotal:
          format: double
          nullable: false
          type: number
        handlingTotal:
          format: double
          nullable: false
          type: number
        holdReleaseDate:
          format: date-time
          nullable: true
          type: string
        id:
          description: ID of the shipment
          nullable: true
          type: string
        isExpress:
          nullable: true
          type: boolean
        isFlatRateShipping:
          nullable: true
          type: boolean
        isTransfer:
          nullable: true
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/ShipmentItem'
          nullable: true
          type: array
        lineItemSubtotal:
          format: double
          nullable: false
          type: number
        lineItemTaxAdjustment:
          format: double
          nullable: false
          type: number
        lineItemTaxTotal:
          format: double
          nullable: false
          type: number
        lineItemTotal:
          format: double
          nullable: false
          type: number
        number:
          format: int32
          nullable: true
          type: integer
        orderId:
          nullable: true
          type: string
        orderNumber:
          format: int32
          nullable: false
          type: integer
        orderSubmitDate:
          format: date-time
          nullable: true
          type: string
        origin:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        originalShipmentNumber:
          format: int32
          nullable: true
          type: integer
        packages:
          items:
            $ref: '#/components/schemas/CommerceRuntimePackage'
          nullable: true
          type: array
        parentCheckoutNumber:
          format: int32
          nullable: true
          type: integer
        parentShipmentNumber:
          format: int32
          nullable: true
          type: integer
        pickStatus:
          nullable: true
          type: string
        pickType:
          nullable: true
          type: string
        pickupInfo:
          nullable: true
          type: object
        readyToCapture:
          nullable: false
          type: boolean
        shipmentAdjustment:
          format: double
          nullable: false
          type: number
        shipmentNotes:
          items:
            $ref: '#/components/schemas/CommerceRuntimeShipmentNote'
          nullable: true
          type: array
        shipmentStatus:
          nullable: true
          type: string
        shipmentStatusReason:
          $ref: '#/components/schemas/CommerceRuntimeShipmentStatusReason'
        shipmentType:
          nullable: true
          type: string
        shippingAdjustment:
          format: double
          nullable: false
          type: number
        shippingMethodCode:
          nullable: true
          type: string
        shippingMethodName:
          nullable: true
          type: string
        shippingSubtotal:
          format: double
          nullable: false
          type: number
        shippingTaxAdjustment:
          format: double
          nullable: false
          type: number
        shippingTaxTotal:
          format: double
          nullable: false
          type: number
        shippingTotal:
          format: double
          nullable: false
          type: number
        shopperNotes:
          $ref: '#/components/schemas/CommerceRuntimeFulfillmentShopperNotes'
        substitutedItems:
          items:
            $ref: '#/components/schemas/SubstitutedItem'
          nullable: true
          type: array
        taxData:
          nullable: true
          type: object
        total:
          format: double
          nullable: false
          type: number
        transferShipmentNumbers:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        workflowProcessContainerId:
          nullable: true
          type: string
        workflowProcessId:
          nullable: true
          type: string
        workflowState:
          $ref: '#/components/schemas/CommerceRuntimeWorkflowState'
      type: object
    FulfillmentAlternateContact:
      properties:
        email:
          description: Email Address of alternate contact during order process
          nullable: true
          type: string
        firstName:
          description: First Name of alternate contact during order process
          nullable: true
          type: string
        lastNameOrSurname:
          description: Last Name of alternate contact during order process
          nullable: true
          type: string
        phoneNumber:
          description: Phone Number of alternate contact during order process
          nullable: true
          type: string
      type: object
    CommerceRuntimeShipmentAttribute:
      description: "Attribute instance on a Shipment entity.\r\nSeparate from OrderAttribute for type safety and future divergence."
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    CoreApiContractsAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    FulfillmentCanceledItem:
      properties:
        actualPrice:
          format: double
          type: number
        allowsSubstitution:
          nullable: true
          type: boolean
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        backorderReleaseDate:
          format: date-time
          nullable: true
          type: string
        bundleInfo:
          $ref: '#/components/schemas/CommerceRuntimeBundleInfo'
        canceledReason:
          $ref: '#/components/schemas/CommerceRuntimeCanceledReason'
        cartItemId:
          nullable: true
          type: string
        childItemIds:
          items:
            type: string
          nullable: true
          type: array
        condition:
          nullable: true
          type: string
        data:
          nullable: true
          type: object
        duty:
          format: double
          type: number
        expectedDeliveryDate:
          format: date-time
          nullable: true
          type: string
        fulfillmentFields:
          items:
            $ref: '#/components/schemas/CommerceRuntimeFulfillmentField'
          nullable: true
          type: array
        fulfillmentLocationCode:
          nullable: true
          type: string
        giftCards:
          items:
            $ref: '#/components/schemas/CommerceRuntimeGiftCard'
          nullable: true
          type: array
        giftMessage:
          description: Gift message for item
          nullable: true
          type: string
        handling:
          description: "Total handling amount for this item, combining both product-level and order-level handling fees.\r\nTo get the product-level handling portion: Handling - WeightedOrderHandlingFee."
          format: double
          type: number
        handlingDiscount:
          format: double
          type: number
        handlingTax:
          description: "Total handling tax for this item, combining both product-level and order-level handling tax.\r\nTo get the product-level handling tax: HandlingTax - WeightedOrderHandlingFeeTax."
          format: double
          type: number
        imageUrl:
          nullable: true
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/InventoryTags'
          nullable: true
          type: array
        isAssemblyRequired:
          nullable: true
          type: boolean
        isGift:
          description: Indicate item is gift or not
          nullable: true
          type: boolean
        isPackagedStandAlone:
          nullable: true
          type: boolean
        isReservedInventory:
          type: boolean
        isSubstitutable:
          nullable: true
          type: boolean
        isTaxable:
          type: boolean
        itemDiscount:
          format: double
          type: number
        itemTax:
          format: double
          type: number
        lineAttributes:
          description: "Extensible attributes for this shipment line.\r\nNamed `LineAttributes` rather than `Attributes` because\r\n`Attributes` is already a System.Collections.Generic.Dictionary`2 of\r\nproduct attributes on Mozu.CommerceRuntime.Contracts.Fulfillment.ShipmentItem."
          items:
            $ref: '#/components/schemas/ShipmentLineAttribute'
          nullable: true
          type: array
        lineId:
          format: int32
          type: integer
        lineItemAdjustment:
          format: double
          nullable: true
          type: number
        lineItemCost:
          format: double
          type: number
        locatorName:
          nullable: true
          type: string
        measurements:
          $ref: '#/components/schemas/CommerceRuntimePackageMeasurements'
        name:
          nullable: true
          type: string
        optionAttributeFQN:
          nullable: true
          type: string
        options:
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductOption'
          nullable: true
          type: array
        originalLineId:
          format: int32
          nullable: true
          type: integer
        originalOrderItemId:
          nullable: true
          type: string
        originalQuantity:
          format: int32
          nullable: true
          type: integer
        overridePrice:
          format: double
          nullable: true
          type: number
        parentId:
          nullable: true
          type: string
        parentItemId:
          nullable: true
          type: string
        partNumber:
          nullable: true
          type: string
        priceMode:
          description: >-
            Determines if the item is using external or internal(catalog)
            pricing
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        purchaseLocation:
          nullable: true
          type: string
        quantity:
          format: int32
          type: integer
        readyForPickupQuantity:
          format: int32
          nullable: true
          type: integer
        returnRuleInfo:
          $ref: '#/components/schemas/ReturnRuleInfo'
        serialNumber:
          nullable: true
          type: string
        shipping:
          format: double
          type: number
        shippingDiscount:
          format: double
          type: number
        shippingTax:
          format: double
          type: number
        sku:
          nullable: true
          type: string
        substituteInfo:
          $ref: '#/components/schemas/SubstituteInfo'
        substituteQuantity:
          format: int32
          nullable: true
          type: integer
        substitutionType:
          nullable: true
          type: string
        taxData:
          nullable: true
          type: object
        taxableHandling:
          format: double
          type: number
        taxableLineItemCost:
          format: double
          type: number
        taxableShipping:
          format: double
          type: number
        unitPrice:
          format: double
          type: number
        upc:
          nullable: true
          type: string
        variationProductCode:
          nullable: true
          type: string
        weightedDutyAdjustment:
          format: double
          type: number
        weightedHandlingAdjustment:
          format: double
          type: number
        weightedHandlingTaxAdjustment:
          format: double
          type: number
        weightedLineItemTaxAdjustment:
          format: double
          type: number
        weightedOrderHandlingFee:
          description: "Order-level handling fee allocated to this item. This represents only the order-level portion\r\nof handling, not product-level handling fees. Product-level handling can be derived as:\r\nHandling - WeightedOrderHandlingFee.\r\nDuring item cancellation with Granular Retention, order-level handling is retained on active items\r\nwhile product-level handling scales proportionally with quantity."
          format: double
          type: number
        weightedOrderHandlingFeeDiscount:
          description: Discount applied to the order-level handling fee only.
          format: double
          type: number
        weightedOrderHandlingFeeTax:
          description: "Tax on the order-level handling fee only (not total handling tax).\r\nProduct-level handling tax can be derived as: HandlingTax - WeightedOrderHandlingFeeTax."
          format: double
          type: number
        weightedShipmentAdjustment:
          format: double
          type: number
        weightedShippingAdjustment:
          format: double
          type: number
        weightedShippingTaxAdjustment:
          format: double
          type: number
      type: object
    CommerceRuntimeChangeMessage:
      description: >-
        A message displayed by the system based on the last  action, for
        example, when a product price has changed. System-supplied and
        read-only.
      properties:
        amount:
          deprecated: true
          description: Monetary amount that pertains to the change if applicable
          format: double
          nullable: true
          type: number
        appId:
          description: App Id that identifies the user that performed the related change
          nullable: true
          type: string
        appKey:
          description: App Key
          nullable: true
          type: string
        appName:
          description: App Name
          nullable: true
          type: string
        attributes:
          additionalProperties:
            nullable: true
          description: Additional Data. This property will be a Dictionary of objects.
          nullable: true
          type: object
        correlationId:
          description: Correlation Id
          nullable: true
          type: string
        createDate:
          description: When the message was created. System-supplied. Read-only.
          format: date-time
          nullable: true
          type: string
        id:
          description: Unique identifier of the  message. System-supplied. Read-only.
          nullable: true
          type: string
        identifier:
          description: >-
            Unique identifier to what the message pertains, which can be a cart
            item, cart or another generic entity. System-supplied. Read-only.
          nullable: true
          type: string
        message:
          description: Human readable message. System-supplied. Read-only.
          nullable: true
          type: string
        metadata:
          description: >-
            Data. This property will be a JSON array that will contain 0-N
            items, when there is 1 item it will still be an array containing
            only one item. System-supplied. Read-only.
          nullable: true
        newValue:
          deprecated: true
          description: Current price of the item. System-supplied. Read-only.
          nullable: true
          type: string
        oldValue:
          deprecated: true
          description: Original price of the item. System-supplied. Read-only.
          nullable: true
          type: string
        subject:
          description: >-
            Text on the subject line of the message, for example, the product
            name. System-supplied. Read-only.
          nullable: true
          type: string
        subjectType:
          description: >-
            Subject of the message, for example, "Product." System-supplied.
            Read-only.
          nullable: true
          type: string
        success:
          description: Indicates if the message is related to a success or failure.
          nullable: true
          type: boolean
        userFirstName:
          description: User First Name
          nullable: true
          type: string
        userId:
          description: User Id that identifies the user that performed the related change
          nullable: true
          type: string
        userLastName:
          description: User Last Name
          nullable: true
          type: string
        userScopeType:
          description: User Type (e.g. Shopper, Admin, etc.)
          nullable: true
          type: string
        verb:
          description: "Action applicable to the message. This can be \"Increased,\" when the product price has increased, \"Decreased,\" when the \r\nproduct price has decreased, and \"Invalidated,\" when the product is no longer available. System-supplied. Read-only."
          nullable: true
          type: string
      type: object
    CommerceRuntimeCustomer:
      properties:
        customerContact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        data:
          description: Custom data
          nullable: true
        isDestinationCommercial:
          description: Destination Commercial Flag
          nullable: true
          type: boolean
      type: object
    CommerceRuntimeDestination:
      properties:
        data:
          description: Custom data
          nullable: true
          type: object
        destinationContact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        id:
          description: An identifier for this entry.
          nullable: true
          type: string
        isDestinationCommercial:
          description: Indicates that the destination is commercial
          nullable: true
          type: boolean
      type: object
    ShipmentItem:
      properties:
        actualPrice:
          format: double
          type: number
        allowsSubstitution:
          nullable: true
          type: boolean
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        backorderReleaseDate:
          format: date-time
          nullable: true
          type: string
        bundleInfo:
          $ref: '#/components/schemas/CommerceRuntimeBundleInfo'
        cartItemId:
          nullable: true
          type: string
        childItemIds:
          items:
            type: string
          nullable: true
          type: array
        condition:
          nullable: true
          type: string
        data:
          nullable: true
          type: object
        duty:
          format: double
          type: number
        expectedDeliveryDate:
          format: date-time
          nullable: true
          type: string
        fulfillmentFields:
          items:
            $ref: '#/components/schemas/CommerceRuntimeFulfillmentField'
          nullable: true
          type: array
        fulfillmentLocationCode:
          nullable: true
          type: string
        giftCards:
          items:
            $ref: '#/components/schemas/CommerceRuntimeGiftCard'
          nullable: true
          type: array
        giftMessage:
          description: Gift message for item
          nullable: true
          type: string
        handling:
          description: "Total handling amount for this item, combining both product-level and order-level handling fees.\r\nTo get the product-level handling portion: Handling - WeightedOrderHandlingFee."
          format: double
          type: number
        handlingDiscount:
          format: double
          type: number
        handlingTax:
          description: "Total handling tax for this item, combining both product-level and order-level handling tax.\r\nTo get the product-level handling tax: HandlingTax - WeightedOrderHandlingFeeTax."
          format: double
          type: number
        imageUrl:
          nullable: true
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/InventoryTags'
          nullable: true
          type: array
        isAssemblyRequired:
          nullable: true
          type: boolean
        isGift:
          description: Indicate item is gift or not
          nullable: true
          type: boolean
        isPackagedStandAlone:
          nullable: true
          type: boolean
        isReservedInventory:
          type: boolean
        isSubstitutable:
          nullable: true
          type: boolean
        isTaxable:
          type: boolean
        itemDiscount:
          format: double
          type: number
        itemTax:
          format: double
          type: number
        lineAttributes:
          description: "Extensible attributes for this shipment line.\r\nNamed `LineAttributes` rather than `Attributes` because\r\n`Attributes` is already a System.Collections.Generic.Dictionary`2 of\r\nproduct attributes on Mozu.CommerceRuntime.Contracts.Fulfillment.ShipmentItem."
          items:
            $ref: '#/components/schemas/ShipmentLineAttribute'
          nullable: true
          type: array
        lineId:
          format: int32
          type: integer
        lineItemAdjustment:
          format: double
          nullable: true
          type: number
        lineItemCost:
          format: double
          type: number
        locatorName:
          nullable: true
          type: string
        measurements:
          $ref: '#/components/schemas/CommerceRuntimePackageMeasurements'
        name:
          nullable: true
          type: string
        optionAttributeFQN:
          nullable: true
          type: string
        options:
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductOption'
          nullable: true
          type: array
        originalLineId:
          format: int32
          nullable: true
          type: integer
        originalOrderItemId:
          nullable: true
          type: string
        originalQuantity:
          format: int32
          nullable: true
          type: integer
        overridePrice:
          format: double
          nullable: true
          type: number
        parentId:
          nullable: true
          type: string
        parentItemId:
          nullable: true
          type: string
        partNumber:
          nullable: true
          type: string
        priceMode:
          description: >-
            Determines if the item is using external or internal(catalog)
            pricing
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        purchaseLocation:
          nullable: true
          type: string
        quantity:
          format: int32
          type: integer
        readyForPickupQuantity:
          format: int32
          nullable: true
          type: integer
        returnRuleInfo:
          $ref: '#/components/schemas/ReturnRuleInfo'
        serialNumber:
          nullable: true
          type: string
        shipping:
          format: double
          type: number
        shippingDiscount:
          format: double
          type: number
        shippingTax:
          format: double
          type: number
        sku:
          nullable: true
          type: string
        substituteInfo:
          $ref: '#/components/schemas/SubstituteInfo'
        substituteQuantity:
          format: int32
          nullable: true
          type: integer
        substitutionType:
          nullable: true
          type: string
        taxData:
          nullable: true
          type: object
        taxableHandling:
          format: double
          type: number
        taxableLineItemCost:
          format: double
          type: number
        taxableShipping:
          format: double
          type: number
        unitPrice:
          format: double
          type: number
        upc:
          nullable: true
          type: string
        variationProductCode:
          nullable: true
          type: string
        weightedDutyAdjustment:
          format: double
          type: number
        weightedHandlingAdjustment:
          format: double
          type: number
        weightedHandlingTaxAdjustment:
          format: double
          type: number
        weightedLineItemTaxAdjustment:
          format: double
          type: number
        weightedOrderHandlingFee:
          description: "Order-level handling fee allocated to this item. This represents only the order-level portion\r\nof handling, not product-level handling fees. Product-level handling can be derived as:\r\nHandling - WeightedOrderHandlingFee.\r\nDuring item cancellation with Granular Retention, order-level handling is retained on active items\r\nwhile product-level handling scales proportionally with quantity."
          format: double
          type: number
        weightedOrderHandlingFeeDiscount:
          description: Discount applied to the order-level handling fee only.
          format: double
          type: number
        weightedOrderHandlingFeeTax:
          description: "Tax on the order-level handling fee only (not total handling tax).\r\nProduct-level handling tax can be derived as: HandlingTax - WeightedOrderHandlingFeeTax."
          format: double
          type: number
        weightedShipmentAdjustment:
          format: double
          type: number
        weightedShippingAdjustment:
          format: double
          type: number
        weightedShippingTaxAdjustment:
          format: double
          type: number
      type: object
    CommerceRuntimeContact:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        companyOrOrganization:
          nullable: true
          type: string
        email:
          format: email
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/CommerceRuntimePhone'
      type: object
    CommerceRuntimePackage:
      description: Describes a package that will be shipped to somebody
      properties:
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        availableActions:
          description: Actions that can be taken on this fulfillment unit
          items:
            type: string
          nullable: true
          type: array
        carrier:
          description: Carrier of this package
          nullable: true
          type: string
        changeMessages:
          description: Change messages related to the fulfillment unit.
          items:
            $ref: '#/components/schemas/CommerceRuntimeChangeMessage'
          nullable: true
          type: array
        code:
          description: "A human-readable identifier for this fulfillment unit.  If not set on create, will be autogenerated as a string of the form\r\n    {fulfillmentUnitType} #{next available int}"
          nullable: true
          type: string
        fulfillmentDate:
          description: Date of the pickup
          format: date-time
          nullable: true
          type: string
        fulfillmentLocationCode:
          description: Location code from which to obtain this item
          nullable: true
          type: string
        fxcbDocumentsUrl:
          nullable: true
          type: string
        fxcbPackNotificationId:
          nullable: true
          type: string
        hasLabel:
          description: >-
            If there is a shipping label present for this Package, this will be
            set to true
          nullable: false
          type: boolean
        id:
          description: ID of the fulfillment unit.
          nullable: true
          type: string
        integratorId:
          nullable: true
          type: string
        items:
          description: List of items in the fulfillment unit
          items:
            $ref: '#/components/schemas/PackageItem'
          nullable: true
          type: array
        labelFormat:
          nullable: true
          type: string
        manifestId:
          nullable: true
          type: string
        measurements:
          $ref: '#/components/schemas/CommerceRuntimePackageMeasurements'
        packageId:
          nullable: true
          type: string
        packagingType:
          description: Packaging type of this package
          nullable: true
          type: string
        packingSlipItemDetails:
          description: PackingSlipItemDetails for this package
          items:
            $ref: '#/components/schemas/PackingSlipItemDetail'
          nullable: true
          type: array
        packingSlipNumber:
          description: PackingSlipNumber for this package
          format: int32
          nullable: true
          type: integer
        returnCarrier:
          nullable: true
          type: string
        returnTrackingNumbers:
          items:
            type: string
          nullable: true
          type: array
        returnTrackings:
          items:
            $ref: '#/components/schemas/CommerceRuntimeTracking'
          nullable: true
          type: array
        shipmentId:
          description: ID of the related shipment
          nullable: true
          type: string
        shippingMethodCode:
          description: Code describing the shipping method.
          nullable: true
          type: string
        shippingMethodName:
          description: Name of the shipping method
          nullable: true
          type: string
        signatureRequired:
          description: SignatureRequired for this package
          nullable: true
          type: boolean
        status:
          description: "Status of the fulfillment unit\r\nSee FulfillmentStatusConst"
          nullable: true
          type: string
        trackingNumber:
          description: Tracking number of this package (to support classic use cases)
          nullable: true
          type: string
        trackingNumbers:
          description: Tracking number of this package
          items:
            type: string
          nullable: true
          type: array
        trackings:
          description: Tracking number and url data for this package
          items:
            $ref: '#/components/schemas/CommerceRuntimeTracking'
          nullable: true
          type: array
      type: object
    CommerceRuntimeShipmentNote:
      properties:
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        noteId:
          nullable: true
          type: string
        noteText:
          nullable: true
          type: string
        role:
          nullable: true
          type: string
        username:
          nullable: true
          type: string
      type: object
    CommerceRuntimeShipmentStatusReason:
      properties:
        moreInfo:
          nullable: true
          type: string
        reasonCode:
          nullable: true
          type: string
      type: object
    CommerceRuntimeFulfillmentShopperNotes:
      properties:
        comments:
          nullable: true
          type: string
        deliveryInstructions:
          nullable: true
          type: string
        giftMessage:
          nullable: true
          type: string
      type: object
    SubstitutedItem:
      properties:
        actualPrice:
          format: double
          nullable: true
          type: number
        allocatedQuantity:
          format: int32
          nullable: true
          type: integer
        allowsBackOrder:
          nullable: true
          type: boolean
        allowsFutureAllocate:
          nullable: true
          type: boolean
        allowsSubstitution:
          nullable: true
          type: boolean
        appeasementReason:
          $ref: '#/components/schemas/FulfillmentServiceAppeasementReason'
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        auditInfo:
          $ref: '#/components/schemas/FulfillmentServiceAuditInfo'
        autoSubstitution:
          nullable: true
          type: boolean
        backorderReleaseDate:
          format: date-time
          nullable: true
          type: string
        bundleInfo:
          $ref: '#/components/schemas/FulfillmentServiceBundleInfo'
        cartItemId:
          nullable: true
          type: string
        childItemIds:
          items:
            type: string
          nullable: true
          type: array
        condition:
          nullable: true
          type: string
        creditCurrencyCode:
          nullable: true
          type: string
        creditValue:
          format: double
          nullable: true
          type: number
        data:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        duty:
          format: double
          nullable: true
          type: number
        expectedDeliveryDate:
          format: date-time
          nullable: true
          type: string
        fulfillmentFields:
          items:
            $ref: '#/components/schemas/FulfillmentServiceFulfillmentField'
          nullable: true
          type: array
        giftCards:
          items:
            $ref: '#/components/schemas/FulfillmentServiceGiftCard'
          nullable: true
          type: array
        giftMessage:
          nullable: true
          type: string
        goodsType:
          nullable: true
          type: string
        handling:
          format: double
          nullable: true
          type: number
        handlingDiscount:
          format: double
          nullable: true
          type: number
        handlingTax:
          format: double
          nullable: true
          type: number
        height:
          format: double
          nullable: true
          type: number
        imageUrl:
          nullable: true
          type: string
        inventoryAllocations:
          items:
            $ref: '#/components/schemas/FulfillmentServiceInventoryAllocation'
          nullable: true
          type: array
        inventoryTags:
          items:
            $ref: '#/components/schemas/FulfillmentServiceInventoryTag'
          nullable: true
          type: array
        isAssemblyRequired:
          nullable: true
          type: boolean
        isGift:
          nullable: true
          type: boolean
        isPackagedStandAlone:
          nullable: true
          type: boolean
        isReservedInventory:
          nullable: true
          type: boolean
        isTaxable:
          nullable: true
          type: boolean
        itemDiscount:
          format: double
          nullable: true
          type: number
        itemTax:
          format: double
          nullable: true
          type: number
        length:
          format: double
          nullable: true
          type: number
        lineId:
          format: int32
          nullable: true
          type: integer
        lineItemAdjustment:
          format: double
          nullable: true
          type: number
        lineItemCost:
          format: double
          nullable: true
          type: number
        locatorName:
          nullable: true
          type: string
        manageStock:
          nullable: true
          type: boolean
        name:
          nullable: true
          type: string
        optionAttributeFQN:
          nullable: true
          type: string
        options:
          items:
            $ref: '#/components/schemas/FulfillmentServiceProductOption'
          nullable: true
          type: array
        originalLineId:
          format: int32
          nullable: true
          type: integer
        originalOrderItemId:
          nullable: true
          type: string
        originalQuantity:
          format: int32
          nullable: true
          type: integer
        overridePrice:
          format: double
          nullable: true
          type: number
        parentItemId:
          nullable: true
          type: string
        partNumber:
          nullable: true
          type: string
        priceMode:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        purchaseLocation:
          nullable: true
          type: string
        quantity:
          format: int32
          nullable: true
          type: integer
        readyForPickupQuantity:
          format: int32
          nullable: true
          type: integer
        returnRuleInfo:
          $ref: '#/components/schemas/FulfillmentServiceReturnRuleInfo'
        serialNumber:
          nullable: true
          type: string
        shipmentItemAttributes:
          items:
            $ref: '#/components/schemas/FulfillmentServiceShipmentItemAttribute'
          nullable: true
          type: array
        shipping:
          format: double
          nullable: true
          type: number
        shippingDiscount:
          format: double
          nullable: true
          type: number
        shippingTax:
          format: double
          nullable: true
          type: number
        sku:
          nullable: true
          type: string
        substituteInfo:
          $ref: '#/components/schemas/FulfillmentServiceSubstituteInfo'
        substituteItemLineIds:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        substituteQuantity:
          format: int32
          nullable: true
          type: integer
        substituteReason:
          $ref: '#/components/schemas/FulfillmentServiceSubstituteReason'
        substitutionType:
          nullable: true
          type: string
        taxData:
          nullable: true
        taxableHandling:
          format: double
          nullable: true
          type: number
        taxableLineItemCost:
          format: double
          nullable: true
          type: number
        taxableShipping:
          format: double
          nullable: true
          type: number
        transferQuantity:
          format: int32
          nullable: true
          type: integer
        trueTransferQuantity:
          format: int32
          nullable: true
          type: integer
        unitPrice:
          format: double
          nullable: true
          type: number
        upc:
          nullable: true
          type: string
        variationProductCode:
          nullable: true
          type: string
        weight:
          format: double
          nullable: true
          type: number
        weightUnit:
          nullable: true
          type: string
        weightedDutyAdjustment:
          format: double
          nullable: true
          type: number
        weightedHandlingAdjustment:
          format: double
          nullable: true
          type: number
        weightedHandlingTaxAdjustment:
          format: double
          nullable: true
          type: number
        weightedLineItemTaxAdjustment:
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFee:
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFeeDiscount:
          format: double
          nullable: true
          type: number
        weightedOrderHandlingFeeTax:
          format: double
          nullable: true
          type: number
        weightedShipmentAdjustment:
          format: double
          nullable: true
          type: number
        weightedShippingAdjustment:
          format: double
          nullable: true
          type: number
        weightedShippingTaxAdjustment:
          format: double
          nullable: true
          type: number
        width:
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeWorkflowState:
      properties:
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        completedDate:
          format: date-time
          nullable: true
          type: string
        processInstanceId:
          nullable: true
          type: string
        shipmentState:
          nullable: true
          type: string
        taskList:
          items:
            $ref: '#/components/schemas/FulfillmentTask'
          nullable: true
          type: array
      type: object
    CommerceRuntimeBundleInfo:
      properties:
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        imageUrl:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        quantity:
          format: int32
          nullable: true
          type: integer
        unitPrice:
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeCanceledReason:
      allOf:
        - $ref: '#/components/schemas/Reason'
        - additionalProperties: false
          type: object
    CommerceRuntimeFulfillmentField:
      properties:
        name:
          nullable: true
          type: string
        required:
          nullable: false
          type: boolean
        userEnteredValue:
          nullable: true
      type: object
    CommerceRuntimeGiftCard:
      properties:
        activationDate:
          format: date-time
          nullable: true
          type: string
        cardNumber:
          nullable: true
          type: string
        code:
          nullable: true
          type: string
        creditType:
          nullable: true
          type: string
        creditValue:
          format: double
          nullable: true
          type: number
        currencyCode:
          nullable: true
          type: string
        currentBalance:
          format: double
          nullable: true
          type: number
        customerId:
          format: int32
          nullable: true
          type: integer
        expirationDate:
          format: date-time
          nullable: true
          type: string
        initialBalance:
          format: double
          nullable: true
          type: number
      type: object
    InventoryTags:
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    ShipmentLineAttribute:
      description: Attribute instance on a Shipment line item.
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    CommerceRuntimePackageMeasurements:
      description: >-
        Physical dimensions of the package required to ship the product and its
        weight.
      properties:
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    CommerceRuntimeProductOption:
      description: "Product option for the product listed on this order item. If the product contains \r\nconfigurable or stand-alone options, this is a product option that the shopper has selected."
      properties:
        attributeFQN:
          description: Value of the product option.
          nullable: true
          type: string
        dataType:
          description: Value of the product option.
          nullable: true
          type: string
        name:
          description: >-
            Name of the product option that appears with the order item in the
            language specified by LocaleCode.
          nullable: true
          type: string
        shopperEnteredValue:
          description: >-
            The value entered by the shopper if this is an option that requires
            shopper input, for example, a monogram.
          nullable: true
        stringValue:
          description: Value of the product option.
          nullable: true
          type: string
        value:
          description: Value of the product option.
          nullable: true
      type: object
    ReturnRuleInfo:
      properties:
        isReturnable:
          description: Indicate product is returnable or not
          nullable: true
          type: boolean
        maxDays:
          description: Return window within which an item can be returned
          format: int32
          nullable: true
          type: integer
        maxQty:
          description: Maximum quantity that can be returned
          format: int32
          nullable: true
          type: integer
        ruleCode:
          description: Return rule code which is applied
          nullable: true
          type: string
      type: object
    SubstituteInfo:
      properties:
        optIn:
          description: >-
            Determines if and when substitution is allowed. Allowed values are
            `None`, `Yes`, `No`, or `OnlyAtFulfillment`. Default is `None`.
          nullable: true
          type: string
        substituteProductCode:
          description: >-
            Allows user to provide a specific product that should be substituted
            if substitution occurs.
          nullable: true
          type: string
        substituteVariantCode:
          description: >-
            Allows user to provide a specific variant that should be substituted
            if substitution occurs.
          nullable: true
          type: string
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          pattern: ^[A-Z]{2}$
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    CommerceRuntimePhone:
      properties:
        home:
          nullable: true
          type: string
        mobile:
          nullable: true
          type: string
        work:
          nullable: true
          type: string
      type: object
    PackageItem:
      allOf:
        - $ref: '#/components/schemas/AbstractFulfillmentItem'
        - additionalProperties: false
          type: object
      description: An item in a package representing a particular product.
    PackingSlipItemDetail:
      properties:
        attributes:
          additionalProperties:
            nullable: true
          description: Gets or Sets Attributes
          nullable: true
          type: object
        lineId:
          description: Gets or Sets LineId
          format: int32
          nullable: true
          type: integer
        originalOrderItemId:
          description: Gets or Sets OriginalOrderItemId
          nullable: true
          type: string
        quantity:
          description: Gets or Sets Quantity
          format: int32
          nullable: true
          type: integer
      type: object
    CommerceRuntimeTracking:
      properties:
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        number:
          nullable: true
          type: string
        url:
          nullable: true
          type: string
      type: object
    FulfillmentServiceAppeasementReason:
      properties:
        moreInfo:
          nullable: true
          type: string
        reasonCode:
          nullable: true
          type: string
      type: object
    FulfillmentServiceAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    FulfillmentServiceBundleInfo:
      properties:
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        imageUrl:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        quantity:
          format: int32
          nullable: true
          type: integer
        unitPrice:
          format: double
          nullable: true
          type: number
      type: object
    FulfillmentServiceFulfillmentField:
      properties:
        name:
          nullable: true
          type: string
        required:
          nullable: false
          type: boolean
        userEnteredValue:
          nullable: true
      type: object
    FulfillmentServiceGiftCard:
      properties:
        activationDate:
          format: date-time
          nullable: true
          type: string
        cardNumber:
          nullable: true
          type: string
        code:
          nullable: true
          type: string
        creditType:
          nullable: true
          type: string
        creditValue:
          format: double
          nullable: true
          type: number
        currencyCode:
          nullable: true
          type: string
        currentBalance:
          format: double
          nullable: true
          type: number
        customerId:
          format: int32
          nullable: true
          type: integer
        expirationDate:
          format: date-time
          nullable: true
          type: string
        initialBalance:
          format: double
          nullable: true
          type: number
      type: object
    FulfillmentServiceInventoryAllocation:
      properties:
        auditInfo:
          $ref: '#/components/schemas/FulfillmentServiceAuditInfo'
        condition:
          nullable: true
          type: string
        date:
          format: date-time
          nullable: true
          type: string
        fulfilledDate:
          format: date-time
          nullable: true
          type: string
        inventoryId:
          format: int32
          nullable: true
          type: integer
        lotCode:
          nullable: true
          type: string
        originalQuantity:
          format: int32
          nullable: true
          type: integer
        quantity:
          format: int32
          nullable: true
          type: integer
        serialNumber:
          nullable: true
          type: string
        sku:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
      type: object
    FulfillmentServiceInventoryTag:
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    FulfillmentServiceProductOption:
      properties:
        attributeFQN:
          nullable: true
          type: string
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        dataType:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        shopperEnteredValue:
          nullable: true
        stringValue:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
    FulfillmentServiceReturnRuleInfo:
      properties:
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        isReturnable:
          nullable: true
          type: boolean
        maxDays:
          format: int32
          nullable: true
          type: integer
        maxQty:
          format: int32
          nullable: true
          type: integer
        ruleCode:
          nullable: true
          type: string
      type: object
    FulfillmentServiceShipmentItemAttribute:
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        auditInfo:
          $ref: '#/components/schemas/FulfillmentServiceAuditInfo'
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    FulfillmentServiceSubstituteInfo:
      properties:
        optIn:
          nullable: true
          type: string
        substituteProductCode:
          nullable: true
          type: string
        substituteVariantCode:
          nullable: true
          type: string
      type: object
    FulfillmentServiceSubstituteReason:
      properties:
        moreInfo:
          nullable: true
          type: string
        reasonCode:
          nullable: true
          type: string
      type: object
    FulfillmentTask:
      properties:
        active:
          nullable: true
          type: boolean
        attributes:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        completed:
          nullable: true
          type: boolean
        completedDate:
          format: date-time
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        inputs:
          items:
            $ref: '#/components/schemas/CommerceRuntimeTaskInput'
          nullable: true
          type: array
        links:
          additionalProperties:
            $ref: '#/components/schemas/CommerceRuntimeLink'
          nullable: true
          type: object
        name:
          nullable: true
          type: string
        skippable:
          nullable: true
          type: boolean
        subject:
          nullable: true
          type: string
        taskId:
          nullable: true
          type: string
      type: object
    Reason:
      properties:
        description:
          nullable: true
          type: string
        moreInfo:
          nullable: true
          type: string
        reasonCode:
          nullable: true
          type: string
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    AbstractFulfillmentItem:
      properties:
        fulfillmentItemType:
          description: The type of fulfillment item
          nullable: true
          type: string
        lineId:
          description: The line id associated with the fulfillment.
          format: int32
          nullable: true
          type: integer
        optionAttributeFQN:
          nullable: true
          type: string
        productCode:
          description: Code of the Product to be fulfilled.
          nullable: true
          type: string
        quantity:
          description: Quantity of the order item
          format: int32
          nullable: false
          type: integer
      type: object
    CommerceRuntimeTaskInput:
      properties:
        helpMessage:
          nullable: true
          type: string
        label:
          nullable: true
          type: string
        maxLength:
          format: int32
          nullable: true
          type: integer
        maximum:
          format: double
          nullable: false
          type: number
        minLength:
          format: int32
          nullable: true
          type: integer
        minimum:
          format: double
          nullable: false
          type: number
        name:
          nullable: true
          type: string
        options:
          items: {}
          nullable: true
          type: array
        pattern:
          nullable: true
          type: string
        required:
          nullable: true
          type: boolean
        type:
          nullable: true
          type: string
      type: object
    CommerceRuntimeLink:
      properties:
        deprecation:
          nullable: true
          type: string
        href:
          nullable: true
          type: string
        hreflang:
          nullable: true
          type: string
        media:
          nullable: true
          type: string
        rel:
          nullable: true
          type: string
        templated:
          nullable: true
          type: boolean
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````